## ros-melodic-rosbridge-library 0.11.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbridge_library)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

# Generate messages for testing (NOINSTALL)
add_message_files(
  FILES
  Num.msg
  TestChar.msg
  TestDurationArray.msg
  TestHeaderArray.msg
  TestHeader.msg
  TestHeaderTwo.msg
  TestTimeArray.msg
  TestUInt8.msg
  TestUInt8FixedSizeArray16.msg
  NOINSTALL
)

# Generate services for testing (NOINSTALL)
add_service_files(
  FILES
  AddTwoInts.srv
  SendBytes.srv
  TestArrayRequest.srv
  TestEmpty.srv
  TestMultipleRequestFields.srv
  TestMultipleResponseFields.srv
  TestNestedService.srv
  TestRequestAndResponse.srv
  TestRequestOnly.srv
  TestResponseOnly.srv
  NOINSTALL
)

catkin_python_setup()

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs geometry_msgs
)

# Test launch files
if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/capabilities/test_capabilities.test)
  add_rostest(test/internal/test_internal.test)
endif()

## ros-melodic-rosbridge-library 0.11.12

=== debian/changelog ===
ros-melodic-rosbridge-library (0.11.12-1stretch) stretch; urgency=high

  * Fix missing python-future python 2 dep
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-library (0.11.11-1stretch) stretch; urgency=high

  * Use Python 3 str in incoming (#541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>)
    Fixes Python 2 unicode issues.
    Supersedes #539 <https://github.com/RobotWebTools/rosbridge_suite/issues/539> to fix regression in #514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-library (0.11.10-1stretch) stretch; urgency=high

  * possible fix for error when working with RosSharp, TypeError: can only concatenate str (not bytes) to str (#514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>)
    Co-authored-by: Dmitri <mailto:dmitri@dmitri.com>
  * Contributors: Dmitri

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.9-1stretch) stretch; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.8-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.7-1stretch) stretch; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.6-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.5-1stretch) stretch; urgency=high

  * Add script for dockerized development shell (#479 <https://github.com/RobotWebTools/rosbridge_suite/issues/479>)
    * Add script for dockerized development shell
    * Fix queue dropping test
  * Subscriber concurrency review (#478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>)
    * Lock access to SubscriberManager public methods
    Prevent subscribe during unsubscribe critical section.
    * Unsubscribing an unsubscribed topic is an error
    This branch must not be ignored.
    * Cleanup some redundant syntax in subscribers impl
  * Fix queue blocking (#464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>)
    * Unblock QueueMessageHandler.handle_message
    The thread was holding the lock while pushing to a potentially blocking
    function.  Rewrite the logic and use a deque while we're at it.
    * Add test for subscription queue behavior
    Guarantee that the queue drops messages when blocked.
  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Fixing wrong header/stamp in published ROS-messsages (#472 <https://github.com/RobotWebTools/rosbridge_suite/issues/472>)
    When publishing a message to ROS (i.e. incoming from rosbridge_server's perspective), timestamps in the Header attributes all point to the same Time object iff the message contains multiple Header attributes (typically the case if a ROS message contains other ROS messages, e.g. ...Array-types) and rosparam use_sim_time is true.
  * Contributors: Alexey Rogachevskiy, Matt Vollrath, danielmaier

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-library (0.11.4-1stretch) stretch; urgency=high

  * Concurrency review (#458 <https://github.com/RobotWebTools/rosbridge_suite/issues/458>)
    * Safer locking in PublisherConsistencyListener
    * Safer locking in ros_loader
    * Print QueueMessageHandler exceptions to stderr
    * Register before resuming outgoing valve
    * Don't pause a finished socket valve
  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),
    which means that now you can use consistent code paths for both bags
    and live messages.
    - You want to parse messages as late as possible, or in parallel, e.g.
    only in the thread or WebWorker that cares about the message. Delaying
    the parsing of the message means that moving or copying the message to
    the thread is cheaper when its in binary form, since no serialization
    between threads is necessary.
    - You only care about part of the message, and don't need to parse the
    rest of it.
    - You really care about performance; no conversion between the ROS
    binary format and CBOR is done in the rosbridge_sever.
  * Fix typos in rosbridge_library's description (#450 <https://github.com/RobotWebTools/rosbridge_suite/issues/450>)
  * Python 3 fix for dict::values (#446 <https://github.com/RobotWebTools/rosbridge_suite/issues/446>)


=== debian/control ===
Source: ros-melodic-rosbridge-library
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python-bson, python-future, python-imaging, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-rospy-tutorials, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf2-msgs, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-melodic-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bson, python-imaging, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-rostopic, ros-melodic-std-msgs
Description: The core rosbridge package, responsible for interpreting JSON and performing the appropriate ROS action, like subscribe, publish, call service, and interact with params.

## ros-melodic-rosbridge-library 0.11.16

=== debian/changelog ===
ros-melodic-rosbridge-library (0.11.16-2bionic) bionic; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Fix send_message being called with wrong arguments. (#812 <https://github.com/RobotWebTools/rosbridge_suite/issues/812>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.15-2bionic) bionic; urgency=high

  * Remove unnecessary checking of topic globs. (#793 <https://github.com/RobotWebTools/rosbridge_suite/issues/793>)
    We do not have to check the topic globs on each incoming ros message. It is enough to check if the topic is allowed to be subscribed in the actual subscribe call as the message callback method (publish) is only called when the topic is subscribed to.
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>)
    * Skip unnecessary conversion for cbor compression.
    This change avoids some unnecessary conversions when using cbor/cbor-raw compression, leading to a significantly perfomance boost.
    * Add caching for subscriptions with cbor compression.
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.14-2bionic) bionic; urgency=high

  * Fix bson support for python3 (#545 <https://github.com/RobotWebTools/rosbridge_suite/issues/545>)
  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Check if key exists before accessing the dict in SubscriberManager::unsubscribe(), patches https://github.com/RobotWebTools/rosbridge_suite/issues/580 (#638 <https://github.com/RobotWebTools/rosbridge_suite/issues/638>)
  * Contributors: Matthijs van der Burgh, Nick Paul, Steve Golton

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.13-2bionic) bionic; urgency=high

  * fix python-future dependency (#542 <https://github.com/RobotWebTools/rosbridge_suite/issues/542>)
    * fix python-future dependency
    This was not fixed with fadffa09b1b572e4dc11848c31bb6ebab4a3e95d
    The dependency was added with #541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>
    Python doesn't have build dependencies, only exec dependencies
    * update ros-tooling/action-ros-ci
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This was fixed upstream
    - https://github.com/ros-tooling/action-ros-ci/issues/429
    - https://github.com/ros-tooling/action-ros-ci/pull/430
    * update ros-tooling/setup-ros
    See:
    https://github.blog/changelog/2020-10-01-github-actions-deprecating-set-env-and-add-path-commands/
    This is needed for upstream fix
    - https://github.com/ros-tooling/setup-ros/pull/303
  * Contributors: Alex Moriarty

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.12-2bionic) bionic; urgency=high

  * Fix missing python-future python 2 dep
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.11-2bionic) bionic; urgency=high

  * Use Python 3 str in incoming (#541 <https://github.com/RobotWebTools/rosbridge_suite/issues/541>)
    Fixes Python 2 unicode issues.
    Supersedes #539 <https://github.com/RobotWebTools/rosbridge_suite/issues/539> to fix regression in #514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.10-2bionic) bionic; urgency=high

  * possible fix for error when working with RosSharp, TypeError: can only concatenate str (not bytes) to str (#514 <https://github.com/RobotWebTools/rosbridge_suite/issues/514>)
    Co-authored-by: Dmitri <mailto:dmitri@dmitri.com>
  * Contributors: Dmitri

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.9-2bionic) bionic; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.8-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.7-2bionic) bionic; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.6-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-library (0.11.5-2bionic) bionic; urgency=high

  * Add script for dockerized development shell (#479 <https://github.com/RobotWebTools/rosbridge_suite/issues/479>)
    * Add script for dockerized development shell
    * Fix queue dropping test
  * Subscriber concurrency review (#478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>)
    * Lock access to SubscriberManager public methods
    Prevent subscribe during unsubscribe critical section.
    * Unsubscribing an unsubscribed topic is an error
    This branch must not be ignored.
    * Cleanup some redundant syntax in subscribers impl
  * Fix queue blocking (#464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>)
    * Unblock QueueMessageHandler.handle_message
    The thread was holding the lock while pushing to a potentially blocking


=== debian/control ===
Source: ros-melodic-rosbridge-library
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python-bson, python-future, python-pil, python-setuptools, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-rospy-tutorials, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs, ros-melodic-tf2-msgs, ros-melodic-trajectory-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-melodic-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bson, python-future, python-pil, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-rostopic, ros-melodic-std-msgs
Description: The core rosbridge package, responsible for interpreting JSON and performing the appropriate ROS action, like subscribe, publish, call service, and interact with params.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbridge-library//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
